%global         momorel 1

Name:           libwebp
Version:        0.5.2
Release:        %{momorel}m%{?dist}
Group:          Development/Libraries
URL:            http://webmproject.org/
Summary:        Library and tools for the WebP graphics format
# Additional IPR is licensed as well. See PATENTS file for details
License:        BSD
Source0:        https://github.com/webmproject/libwebp/archive/v%{version}/%{name}-%{version}.tar.gz
NoSource:       0
Source1:        libwebp_jni_example.java
BuildRequires:  libjpeg-devel libpng-devel libtool swig
Obsoletes:      libwebp-java <= 0.2.1

%description
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%package tools
Group:          Development/Tools
Summary:        The WebP command line tools

%description tools
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%package devel
Group:          Development/Libraries
Summary:        Development files for libwebp, a library for the WebP format
Requires:       %{name} = %{version}-%{release}

%description devel
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.

%prep
%setup -q

%build
autoreconf -vif
%ifarch aarch64
export CFLAGS="%{optflags} -frename-registers"
%endif
# Neon disabled due to resulting CFLAGS conflict resulting in
# inlining failed in call to always_inline '[...]': target specific option mismatch
%configure --disable-static --enable-libwebpmux \
           --enable-libwebpdemux --enable-libwebpdecoder \
           --disable-neon
%make V=1

%install
 rm -rf %{buildroot}

make install DESTDIR=%{buildroot}
find "%{buildroot}/%{_libdir}" -type f -name "*.la" -delete

%post -n %{name} -p /sbin/ldconfig

%postun -n %{name} -p /sbin/ldconfig

%files tools
%{_bindir}/cwebp
%{_bindir}/dwebp
%{_bindir}/gif2webp
%{_bindir}/webpmux
%{_bindir}/vwebp
%{_mandir}/man*/*

%files -n %{name}
%doc README PATENTS NEWS AUTHORS COPYING
%{_libdir}/%{name}.so.6*
%{_libdir}/%{name}decoder.so.2*
%{_libdir}/%{name}demux.so.2*
%{_libdir}/%{name}mux.so.2*

%files devel
%{_libdir}/%{name}*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*

%changelog
* Mon Jan 16 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Mon Dec 31 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.2.1-1m)
- import from Fedora

* Thu Dec 27 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 0.2.1-1
- new upstream release 0.2.1

* Fri Dec 21 2012 Adam Tkac <atkac redhat com> - 0.1.3-3
- rebuild against new libjpeg

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Feb 02 2012 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.3-1
- Several spec improvements by Scott Tsai <scottt.tw@gmail.com>

* Wed May 25 2011 Rahul Sundaram <sundaram@fedoraproject.org> - 0.1.2-1
- Initial spec. Based on openSUSE one

